export const defaultSettings = {
  display: {
    dark_mode: true as boolean,
    accent_color: "#8ab4f8" as string,
    transition_duration: 200 as number,
    radius: 8 as number,
    window_height: 60 as number,
    window_width: 400 as number,
    font_family: "monospace" as string,
    font_scaling: 100,
  },
  timings: {
    auto_refresh: false as boolean,
    auto_refresh_interval: 30 as number,
    eta_as_duration: true as boolean,
    military_time_format: true as boolean,
    timings_bus_expanded_items: 3 as number,
    timings_train_expanded_items: 3 as number,
    favourites_bus_expanded_items: 0 as number,
    favourites_train_expanded_items: 0 as number,
  },
} as const;

export type SettingsType = typeof defaultSettings;
